unit Utstpcx;

interface

uses
  SysUtils, Windows,{WinTypes, WinProcs,} Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Menus, Mimage;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    MainMenu1: TMainMenu;
    GetPCXFile1: TMenuItem;
    OpenDlg: TOpenDialog;
    Image1: TImage;
    procedure GetPCXFile(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation
{$R *.DFM}
uses PcxCtrl;
procedure TForm1.GetPCXFile(Sender: TObject);
var
	Bitmap: TPCXBitmap;
begin
	Bitmap := TPCXBitmap.Create;
  if OpenDlg.Execute then
  try
    Bitmap.LoadFromFile(OpenDlg.Filename);
    ClientHeight := Bitmap.Height + 2;
    ClientWidth := Bitmap.Width + 2;
    Image1.Picture.Assign(Bitmap);
  except
  	MessageDlg('Invalid PCX file format.' + #13 +
    	'Probably 24 bit or higher image.', mtError, [mbOk], 0);
  end;
  Bitmap.Free;
end;

end.
